Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.grammars
Interface XMLDTDDescription

All Superinterfaces:
  XMLGrammarDescription, XMLResourceIdentifier

    public interface XMLDTDDescription

extends XMLGrammarDescription

All information specific to DTD grammars.

Version:
  $Id: XMLDTDDescription.java 447245 2006-09-18 05:22:10Z mrglavas $
Author:
  Sandy Gao, IBM

Field Summary

Fields inherited from interface org.apache.xerces.xni.grammars.XMLGrammarDescription
`XML_DTD, XML_SCHEMA`

Method Summary
`java.lang.String` | `getRootName()` Return the root name of this DTD.

Methods inherited from interface org.apache.xerces.xni.grammars.XMLGrammarDescription
`getGrammarType`

Methods inherited from interface org.apache.xerces.xni.XMLResourceIdentifier
`getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId`

Method Detail

### getRootName

    java.lang.String getRootName()

  Return the root name of this DTD.

  Returns:
    the root name. null if the name is unknown.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.